
public class Class378_Sub1 extends Class378 {

   int anInt8976;
   int anInt8977;
   int[] anIntArray8978;
   byte[] aByteArray8979;


   void method6572(int var1, int var2) {
      this.anInt8976 += var2 * this.anIntArray8978[var1] >> 12;
   }

   void method6559() {
      this.anInt8977 = 0;
      this.anInt8976 = 0;
   }

   void method6561(int var1, int var2) {
      this.anInt8976 += var2 * this.anIntArray8978[var1] >> 12;
   }

   void method6560() {
      this.anInt8976 = Math.abs(this.anInt8976);
      if(this.anInt8976 >= 4096) {
         this.anInt8976 = 4095;
      }

      this.method14384(this.anInt8977++, (byte)(this.anInt8976 >> 4));
      this.anInt8976 = 0;
   }

   void method14384(int var1, byte var2) {
      this.aByteArray8979[this.anInt8977++] = (byte)(127 + ((var2 & 255) >> 1));
   }

   void method6569() {
      this.anInt8977 = 0;
      this.anInt8976 = 0;
   }

   void method14385(int var1, byte var2) {
      this.aByteArray8979[this.anInt8977++] = (byte)(127 + ((var2 & 255) >> 1));
   }

   void method6567() {
      this.anInt8977 = 0;
      this.anInt8976 = 0;
   }

   void method6568() {
      this.anInt8977 = 0;
      this.anInt8976 = 0;
   }

   void method14386(int var1, byte var2) {
      this.aByteArray8979[this.anInt8977++] = (byte)(127 + ((var2 & 255) >> 1));
   }

   void method6570() {
      this.anInt8976 = Math.abs(this.anInt8976);
      if(this.anInt8976 >= 4096) {
         this.anInt8976 = 4095;
      }

      this.method14384(this.anInt8977++, (byte)(this.anInt8976 >> 4));
      this.anInt8976 = 0;
   }

   void method6565(int var1, int var2) {
      this.anInt8976 += var2 * this.anIntArray8978[var1] >> 12;
   }

   Class378_Sub1(int var1, int var2, int var3, int var4, int var5, float var6) {
      super(var1, var2, var3, var4, var5);
      this.anIntArray8978 = new int[this.anInt4703];

      for(int var7 = 0; var7 < this.anInt4703; ++var7) {
         this.anIntArray8978[var7] = (short)((int)(Math.pow((double)var6, (double)var7) * 4096.0D));
      }

   }
}
